summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2011-08-27 10:38:55 -0300
committer Niels Horn <niels.horn@slackbuilds.org>2011-08-27 10:38:55 -0300
commit032eeb5180641514ba92507106b75638bd920891 (patch)
tree3b5d52279d83521f5bbcb32aae1bd118834b8635 /audio
parent0dbe6333d8c0f718ef1f9d4809e7dca4bf325f47 (diff)
downloadslackbuilds-032eeb5180641514ba92507106b75638bd920891.tar.gz
slackbuilds-032eeb5180641514ba92507106b75638bd920891.tar.xz
audio/ghostess: Added (graphical DSSI host)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/ghostess/README10
-rw-r--r--audio/ghostess/ghostess.SlackBuild80
-rw-r--r--audio/ghostess/ghostess.info10
-rw-r--r--audio/ghostess/slack-desc19
4 files changed, 119 insertions, 0 deletions
diff --git a/audio/ghostess/README b/audio/ghostess/README
new file mode 100644
index 0000000000..3062025700
--- /dev/null
+++ b/audio/ghostess/README
@@ -0,0 +1,10 @@
+ghostess (graphical DSSI host)
+
+Based on jack-dssi-host, capable of saving and restoring plugin
+configuration, as well as specifying MIDI channels and layering synths.
+
+ghostess also comes with a universal DSSI GUI, which attempts to provide
+GUI services for any DSSI or LADSPA plugin, and may be used with any
+DSSI host.
+
+This requires jack-audio-connection-kit, ladspa_sdk and dssi.
diff --git a/audio/ghostess/ghostess.SlackBuild b/audio/ghostess/ghostess.SlackBuild
new file mode 100644
index 0000000000..dc6f0172cb
--- /dev/null
+++ b/audio/ghostess/ghostess.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for ghostess
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=ghostess
+VERSION=${VERSION:-20100923}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install-strip DESTDIR=$PKG
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/ghostess/ghostess.info b/audio/ghostess/ghostess.info
new file mode 100644
index 0000000000..5ffab16fcd
--- /dev/null
+++ b/audio/ghostess/ghostess.info
@@ -0,0 +1,10 @@
+PRGNAM="ghostess"
+VERSION="20100923"
+HOMEPAGE="http://smbolton.com/linux.html"
+DOWNLOAD="http://smbolton.com/linux/ghostess-20100923.tar.bz2"
+DOWNLOAD_x86_64=""
+MD5SUM="079661d2d97c01d89540f87acc45da30"
+MD5SUM_x86_64=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="Niels Horn"
diff --git a/audio/ghostess/slack-desc b/audio/ghostess/slack-desc
new file mode 100644
index 0000000000..07ede406c9
--- /dev/null
+++ b/audio/ghostess/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ghostess: ghostess (graphical DSSI host)
+ghostess:
+ghostess: Based on jack-dssi-host, capable of saving and restoring plugin
+ghostess: configuration, as well as specifying MIDI channels and layering
+ghostess: synths.
+ghostess:
+ghostess: ghostess also comes with a universal DSSI GUI, which attempts to
+ghostess: provide GUI services for any DSSI or LADSPA plugin, and may be used
+ghostess: with any DSSI host.
+ghostess:
+ghostess: